Error! MYOB Advanced could not recognize the OData syntax.

"Error! MYOB Advanced could not recognize the OData syntax."

After Velixo Upgrade to version 6, you are getting the error below when using some GI Function Queries
“Error! MYOB Advanced could not recognize the OData syntax.
Most likely, your filter contains a function which MYOB Advanced does not support server-side (such as tolower(), startswith(), or contains()).
If possible, try to reformulate the filter expression without using any unsupported function calls.
Alternatively, if this inquiry is not too large to load without a filter, consider enabling client-side filtering for the inquiry in Velixo's Generic Inquiry options.
Visit velixo.com/help/gi-filtering to learn more.

Reason

In Velixo 6, we have changed the filtering from client side to server side as an enhancement. However, there are a few functions which are not able to be processed server side.

Resolution
Go to Options > Generic Inquiry > Always load the entire Generic Inquiry and filter the data locally


    • Related Articles

    • Minimum Role Requirements for using Velixo Reports

      Overview At the most basic level, Velixo is governed by the same access rights as MYOB Advanced.  So if you want to control access to various Velixo features, you can do so by controlling access to the screens used for those elements in MYOB ...
    • Issue when trying to connect to MYOB Advanced from Velixo

      Issue When you are trying to connect to your instance using Velixo, you are receiving the screenshot below. This is often after an upgrade. Reason Each time a new version is release, Velixo adds additional Inquiries that are utilized for that ...
    • SQLite Connection Error with Velixo

      Issue When trying to run or update Velixo on a workstation, you are getting a SQLite access error Symptoms You are prompted with the screenshot above when: Trying to reset the local cache Do a new install and refresh a worksheet Trying to add your ...
    • Upgrading to a newer version of MYOB Advanced

      Velixo is fully committed to supporting new versions of Acumatica and MYOB Advanced within 30 days of release. Sometimes, changes in the product will require slight configuration adjustments before Velixo can be used for the new version. Note: please ...
    • Error: An error occurred during configuration of inquiry

      Symptom When defining a connection to an MYOB Advanced tenant, the user is presented with a message about one or more inquiries not being set up and asking if the user would like to create them: After clicking Yes, the user is presented in an error ...